---
title: Document.location
slug: Web/API/Document/location
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Read-only
  - Reference
---
<p>{{APIRef("DOM")}}</p>

<p>The <strong><code>Document.location</code></strong> read-only property returns a {{domxref("Location")}} object, which contains information about the URL of the document and provides methods for changing that URL and loading another URL.</p>

<p>Though <code>Document.location</code> is a <em>read-only</em> <code>Location</code> object, you can also assign a {{domxref("DOMString")}} to it. This means that you can work with document.location as if it were a string in most cases: <code>document.location = 'http://www.example.com'</code> is a synonym of <code>document.location.href = 'http://www.example.com'</code>.If you assign another string to it, browser will load the website you assigned.</p>

<p>To retrieve just the URL as a string, the read-only {{domxref("document.URL")}} property can also be used.</p>

<p>If the current document is not in a browsing context, the returned value is <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>locationObj</var> = document.location
document.location = 'http://www.mozilla.org' // Equivalent to document.location.href = 'http://www.mozilla.org'
</pre>

<h2 id="Example">Examples</h2>

<pre class="brush: js notranslate">console.log(document.location);
// Prints a Location object to the console
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "history.html#the-location-interface", "Document.location")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "browsers.html#the-location-interface", "Document.location")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.location")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface of the returned value, {{domxref("Location")}}.</li>
 <li>A similar information, but attached to the {{Glossary("browsing context")}}, {{domxref("Window.location")}}.</li>
</ul>
